c
c
c    "Current.h" is an include file that contains the current condition
c     of the system. The names of the common blocks are largely
c     self-explanatory.
c
      common   /counterconf/  counter, itergr, iternew,
     :                        inswid, additer
      common   /iteration1/   iter, blockcounter
c
      common   /iteration/   maxits,  itorfreq,
     :                       geomfreq, move, dumpfreq, nbfreq,
     :                       iteretot, iterchem, maxiblock,
     :                       jblock,nbprint
c
      common   /unwrapch/    sunch, lunch
c
      integer                counter, itergr, iternew,
     :                       inswid, additer
      integer                iter, blockcounter
      integer                maxits,  itorfreq, 
     :                       geomfreq, move, dumpfreq, nbfreq,
     :                       iteretot(0:maxbl), iterchem(0:maxbl),
     :                       maxiblock,jblock(0:maxbl),nbprint
      integer                sunch, lunch
c
      common   /logic/       fail3
c
      logical                fail3
c
      common   /coordinates/ x, bondlen,  cm, xunit 
c
      real*8                 x(maxat,3), bondlen(maxnch,maxatc), 
     :                       cm(3,maxnch), xunit(maxat,3) 
c
      common   /torsions/    phi
c
      real*8                 phi(maxat)
c
      common   /volume/      box, rbox, halfbox, vol, unit
c
      real*8                 box, rbox, halfbox, vol, unit
c
      common   /connectivity/ iatch, ichat, natch
c
      integer                iatch(maxnch,maxatc), ichat(maxat,2),
     :                       natch
c
      common   /cells/       cell, ncell, iatcell
c
      integer*2              cell (maxcel,maxcel,maxcel,maxncel),
     :                       ncell(maxcel,maxcel,maxcel),
     :                       iatcell(maxat,3)
c
      common   /energy/      etotal, enbintra, enbinter, etortot,
     :                       utrunc, eimage, 
     :                       blocketotal, blocktchem, 
     :                       blockincrem
c
      real*8                 etotal, enbintra, enbinter, etortot,
     :                       utrunc, eimage, 
     :                       blocketotal(0:maxbl), 
     :                       blocktchem(0:maxbl),
     :                       blockincrem(0:maxbl)
c
      common   /neighbors/   intra, inter, intram, interm
c
      integer*2              inter(maxinter,maxat),interm(maxat)
      integer*2              intra(maxintra,maxat),intram(maxat)
c
      common   /sums/        sumeintra, sumeinter,
     :                       sumetrunc,  sumetorsn,
     :                       volsum, sumvol, 
     :                       blockenersum,blockvolsum, 
     :                       blockenersum2,blockvolsum2,
     :                       blocktchsum,blocktchsum2,
     :                       blockincrsum, blockincrsum2,
     :                       sumstten, sumunws, sumunwl,
     :                       sumunwt, addvol, sumethetot,
     :                       sumchgr, sumunch
c
      real*8                 sumeintra, sumeinter,
     :                       sumetrunc, sumetorsn,
     :                       volsum(0:maxbl), sumvol, 
     :                       blockenersum,blockvolsum, 
     :                       blockenersum2,blockvolsum2,
     :                       blocktchsum,blocktchsum2,
     :                       blockincrsum, blockincrsum2,
     :                       sumstten(3,3), sumunws, sumunwl,
     :                       sumunwt, addvol, sumethetot,
     :                       sumchgr(maxnch), sumunch(maxnch)
c
      common   /averages/    eintraave, einterave,
     :                       etruncave, etorsnave, volave,
     :                       blockenerave,blockenerave2,
     :                       blockvolumeave,blockvolumeave2,
     :                       blocktchav, blocktchav2,
     :                       blockincrav, blockincrav2,
     :                       blockener,blockvol,
     :                       blocktch, blockincr,
     :                       avunws,avunwl
c
      real*8                 etotalave, eintraave, einterave,
     :                       etruncave, eimageave, etorsnave,
     :                       volave,
     :                       blockenerave, blockenerave2,
     :                       blockvolumeave, blockvolumeave2,
     :                       blocktchav, blocktchav2,
     :                       blockincrav, blockincrav2,
     :                       blockener(0:maxbl,1:2100),
     :                       blockvol(0:maxbl,1:2100),
     :                       blocktch(0:maxbl,1:2100),
     :                       blockincr(0:maxbl,1:2100),
     :                       avunws,avunwl
c
      common /movestats/     nmove1, nmove2, nmove5, nmove6, nmove7,
     :                       nsucc1, nsucc2, nsucc5, nsucc6, nsucc7,
     :                       nmove3, nsucc3, nsuccl3, ntrial3
c
      integer                nmove1, nmove2, nmove5, nmove6, nmove7,
     :                       nsucc1, nsucc2, nsucc5, nsucc6, nsucc7,
     :                       nmove3, nsucc3, nsuccl3(ccbcutmax),
     :                       ntrial3(ccbcutmax)
c
      common /move5stats/     nallow1, nallow2, nfail, nother, nconv,
     :                        nfailrev,nconvb
c
      integer                nallow1, nallow2, nfail, nother, nconv,
     :                        nfailrev,nconvb

c
      common /distributions/ ntor, ntotor,  nrdfcall,
     :                       ntothe, nthe
c
      integer                ntor(maxbin),  ntotor, 
     :                       nrdfcall, ntothe, nthe(maxbin)
c
      common /unwrapped/     xunwrap
c
      real*8                 xunwrap(3,maxnch,maxatc)
c
      common /gyration/      sumrgr
c
      real*8                 sumrgr
c
      common /radialdist/    rdfinterval, intinv, dvol,
     :                       volrdf, rdftotal, rdfintra,
     :                       rdfinter, rhototal, rhointra, rhointer,
     :                       extmin, extmax, rhototalcm,
     :                       rdfcm, rhototalend, rdfend,
     :                       rhointrinter
c
      real*8                 rdfinterval, intinv, 
     :                       dvol(maxrdf), 
     :                       volrdf(maxrdf), rdftotal(maxrdf),
     :                       rdfintra(maxrdf), rdfinter(maxrdf),
     :                       rhototal(maxrdf), rhointra(maxrdf),
     :                       rhointer(maxrdf), extmin, extmax,
     :                       rhototalcm(maxrdf), rdfcm(maxrdf),
     :                       rhototalend(maxrdf), rdfend(maxrdf),
     :                       rhointrinter(maxrdf)
c
      common /acceptstat/    accept
      logical                accept
