	Subroutine KingKong(i,j,sigma,epslon,a,b,c,d)
c
c	a = sigma___ij_Lorentz-Berthelot
c	b = sigma___ij_Kong
c	c = epsilon_ij_Lorentz-Berthelot
c	d = epsilon_ij_Kong
c

	implicit none

	integer i,j
	real*8 sigma(4),epslon(4),a,b,c,d

	real*8 p136,p13,p12,p6,inv13,inv12
	parameter(p136=13.0d0/6.0d0,p13=13.0d0,p12=12.0d0,
     &            p6=6.0d0,inv13=1.0d0/13.0d0,inv12=1.0d0/12.0d0)
	real*8 si0,si1,ei0,ei1,sj0,sj1,ej0,ej1
	real*8 eiej,sisj,esi12,esj12,enum,denom

	if(i.eq.j) then

	  a=sigma(i)
	  b=sigma(i)
	  c=epslon(i)
	  d=epslon(i)

	  RETURN

	else

	  si0=sigma(i)
	  si1=sigma(i)
	  ei0=epslon(i)
	  ei1=epslon(i)
	  sj0=sigma(j)
	  sj1=sigma(j)
	  ej0=epslon(j)
	  ej1=epslon(j)

	  eiej=ei1*ej1
	  sisj=si1*sj1
	  esi12=ei1*si1**p12
	  esj12=ej1*sj1**p12

	  a=.5d0*(si0+sj0)

	  enum=esi12**inv13+esj12**inv13
	  enum=(enum/2.0d0)**p136
	  denom=eiej**inv12*dsqrt(sisj)
	  
	  b=enum/denom
	
	  c=dsqrt(ei0*ej0)

	  enum=eiej*sisj**p6
	  denom=esi12**inv13+esj12**inv13
	  denom=(denom/2.0d0)**p13

	  d=enum/denom

	  write(*,*) i,j,b,d

	  RETURN

	endif

	END
