      subroutine ccbfor_wd

      implicit none

      include "Bounds.p"
      include "Ccbwd.h"
      include "Phantom.h"
      include "System.h"
      include "Current.h"
      include "Geometry.h"
      include "Geometry.p"
      include "Constants.p"
c
      logical fail
      integer ii,jccb,i,j,k,iatom
      real*8  t1, t2, theta1,dx,dy,dz,r2
c
30    continue
c
      if (idir1.eq.phat) goto 40
c
      idir1 = idir1 + 1
c
c     Choose bond angle
c
      call theselect1(angle)
c
      theta1 = bondang(idir1-2)
      bondang(idir1-1) = angle
c
      costh= dcos(angle)
      sinth= dsin(angle)
      costhe1 = dcos(theta1)
      sinthe1 = dsin(theta1)
c
c*********************************************************************
c****   Choose six potential new configurations for each atom       **
c*********************************************************************
c
      call phisel_wd
c
      do i=1,kccbn
c
        jccb=i
c
c*********************************************************************
c****   Regrow each segment in the six new configurations.          **
c********************************************************************* 
c 
        call ccbbuild_wd(jccb)
c
c*********************************************************************
c****   Check if the regrown atom passes overlap screening.         **
c****   If it does, calculate its energy, the weight, 'wsumnew' .   **
c*********************************************************************
c
        call ccbscreen_wd(fail,jccb)
c
        if (fail) then
          eacc(jccb)=0.d0
          eaccmd(jccb)=0.d0
	  else	
          call enbccb_wd(jccb,enernew,enermd)
c
          if(enernew(jccb).gt.maxnrg)then
            eacc(jccb) = 0.d0 
          else
            eacc(jccb)=dexp(-beta*enernew(jccb))
          endif
c
        endif
c
        wsumnew(idir1)=wsumnew(idir1)+eacc(jccb)
c          
c
      enddo
c
      if (wsumnew(idir1).eq.0.d0) then
        fail = .true.
        countwf = countwf+1
        RETURN
      endif 
c
c
c
      do jccb=1,kccbn
        probacc(jccb)=eacc(jccb)/wsumnew(idir1)
      enddo
c
c**********************************************************************
c****   Check which one of the six new configurations for each atom  **
c****   according to their weights.                                  **
c**********************************************************************
c
c    calculate theta energy
c
      etheta = (0.5*kbend*(angle-bonda)
     :          *(angle-bonda))
c
      call ccbcheck_wd
c
      goto 30
c
40    continue
c
      t1 = enerccb + ener1f
      t1 = -(beta * t1)
      t2 = vol * exp(t1) / weight
      mlt = mlt + t2
      mltsq = mltsq + t2 * t2
c
c
      do i = 0,maxiblock
        blocktchem(i)=blocktchem(i) + t2 
      enddo
c
      fail = .false.
c
c
      RETURN
      end
