      subroutine ccbinit2 ( box, rbox, fail)
c
      implicit none
c
      include   "Bounds.p"
      include   "System.h"
      include   "Seed.h"
      include   "Constants.p"
      include   "Geometry.h"
      include   "Geometry.p"
      include   "Phantom.h"
      include   "Ccbwd.h"
c
      logical    fail
c
      integer    jccb, i, k, j, iatom
c
      real*8     xp(3),yp(3),zp(3),
     :           theta, phi1, tanth, random, alfa,
     :           alfa1, box, rbox, dx, dy, dz,r22
      real*8     diff(2,3),diff23(3), diff34(3),
     :           cross(3), crossmag, r21p(3)
      real*8     diffn(3), ratio
c____________________________________________________________
c
c   put the second atom using spherical coordinates
c
      theta = acos(2.*random(iseed)-1.)
c
c  select the phi angle
c
      do  i = 1,kccbn
        phiccb(i) = random(iseed) * TwoPi 
      enddo
c
      do jccb = 1,kccbn
        phi1 = phiccb(jccb)
        xnewc(jccb,1) = xt(1,1) + bondl*dsin(theta)*dcos(phi1)
        xnewc(jccb,2) = xt(1,2) + bondl*dsin(theta)*dsin(phi1)
        xnewc(jccb,3) = xt(1,3) + bondl* dcos(theta)
c
        do k = 1,3
          if (xnewc(jccb,k).gt.box) xnewc(jccb,k) = 
     :                              xnewc(jccb,k) -box
	    if (xnewc(jccb,k).lt.0.0) xnewc(jccb,k) = 
     :                              xnewc(jccb,k) +box
        enddo
c
c    screening for hard sphere overlaps
c
        CALL ccbscreen_wd(fail, jccb)
        if (fail) then
          eacc(jccb) = 0.d0
          go to 20
        endif
c
        idir1 = 2
        CALL enbccb_wd(jccb, enernew,enermd)
c
        eacc(jccb) = dexp(-beta*enernew(jccb))
        wsumnew(idir1)=wsumnew(idir1)+eacc(jccb)
c
20	  continue
      end do 
c
      if (wsumnew(idir1).eq.0.d0) then
        fail = .true.
        RETURN
      endif
c
      do jccb=1,kccbn
        probacc(jccb)=eacc(jccb)/wsumnew(idir1)
      enddo
c
c**********************************************************************
c****   Check which one of the six new configurations for each atom  **
c****   according to their weights.                                  **
c**********************************************************************
c
      etheta = 0.d0
c
      CALL ccbcheck_wd
c
      fail = .false.
c
      RETURN 
      END
