      subroutine ccbinit3 ( box, rbox, fail)
c
      implicit none
c
      include   "Bounds.p"
      include   "System.h"
      include   "Seed.h"
      include   "Constants.p"
      include   "Geometry.h"
      include   "Geometry.p"
      include   "Phantom.h"
      include   "Ccbwd.h"
c
      logical    fail
c
      integer    i, jccb, k, j, iatom
      integer    i1,i2,i3,i4
c
      real*8     xp(3),yp(3),zp(3),
     :           theta, phi1, tanth, random, alfa,
     :           alfa1, box, rbox, dx, dy, dz,r22
      real*8     diff(2,3),diff23(3), diff34(3),
     :           cross(3), crossmag, r21p(3)
      real*8     diffn(3), ratio
c
c_________________________________________________________
c
c   place the third atom
c
	idir1=3
      dx = xt(2,1) - xt(1,1)
      dy = xt(2,2) - xt(1,2)
      dz = xt(2,3) - xt(1,3)
c
      dx = dx - box*dnint(dx*rbox)
      dy = dy - box*dnint(dy*rbox)
      dz = dz - box*dnint(dz*rbox)
c
      xp(1) = dx / bondl
      xp(2) = dy / bondl
      xp(3) = dz / bondl
c
c   choose the theta angle
c
      call theselect1(angle)
c
      costh = dcos(angle)
      sinth = dsin(angle)
c
c
c  choose the phi angles
c
      do  i = 1,kccbn
        phiccb(i) = random(iseed) * TwoPi
      enddo
c
      do jccb = 1,kccbn

        phi1  = phiccb(jccb) 
        tanth = -xp(3) / (xp(1)*dcos(phi1) + xp(2)*dsin(phi1))
        theta = atan(tanth)
c
        zp(1) = dcos(phi1) * dsin(theta)
        zp(2) = dsin(phi1) * dsin(theta)
        zp(3) = dcos(theta)
c
        yp(1) = -(xp(2)*zp(3) - xp(3)*zp(2))
        yp(2) =  (xp(1)*zp(3) - xp(3)*zp(1))
        yp(3) = -(xp(1)*zp(2) - xp(2)*zp(1))
c
        alfa  = bondl * costh
        alfa1 = bondl * sinth
c
        xnewc(jccb,1) = xt(2,1) + alfa*xp(1) + alfa1*yp(1)
        xnewc(jccb,2) = xt(2,2) + alfa*xp(2) + alfa1*yp(2) 
        xnewc(jccb,3) = xt(2,3) + alfa*xp(3) + alfa1*yp(3) 
c
        do k = 1,3
	    if (xnewc(jccb,k).gt.box) xnewc(jccb,k) = 
     :                              xnewc(jccb,k) -box
	    if (xnewc(jccb,k).lt.0.0) xnewc(jccb,k) = 
     :                              xnewc(jccb,k) +box
        enddo
c
c    screening for hard sphere overlaps
c
        CALL ccbscreen_wd(fail, jccb)
        if (fail) then
          eacc(jccb) = 0.d0
          go to 20
        endif
c
        CALL enbccb_wd(jccb, enernew,enermd)
c
        eacc(jccb) = dexp(-beta*enernew(jccb))
        wsumnew(idir1)=wsumnew(idir1)+eacc(jccb)
c
20      continue
	end do
c
      if (wsumnew(idir1).eq.0.d0) then
        fail = .true.
        RETURN
      endif
c
      do jccb=1,kccbn
        probacc(jccb)=eacc(jccb)/wsumnew(idir1)
      enddo
c
c**********************************************************************
c****   Check which one of the six new configurations for each atom  **
c****   according to their weights.                                  **
c**********************************************************************
c
c    calculate theta energy
c
      etheta = (0.5*kbend*(angle-bonda)
     :        *(angle-bonda))
c
      bondang(2) = angle
c
      CALL ccbcheck_wd
c
      fail = .false.
c
      RETURN
      END
