      subroutine ccbperiodicdump

c
      implicit none
c
      include     "Seed.h"
      include     "Bounds.p"
      include     "System.h"
      include     "Current.h"
      include     "Phantom.h"
      include     "Increm.h"
      include     "Ccbwd.h"
c
c
      real*8       volstd,vgloblstd,etotalstd,blvolstd
      real*8       blenerstd, press, avstten(3,3)
      real*8       midav, mex, mltav, stin, t1, t2, radgr 
      real*8       mincrav, mtotal, mseg, mincrstd,
     :             mincrsqav, mltstd2
      real*8       mltstd, midstd, mltsqav, midsqav
      real*8       interenav, intraenav, bltchstd
      real*8       mincrstd2, blincrstd, mltf
      real*8       dnblocks, std, nblocks, stdincr
      real*8       etheave, avunwt
c
      real*8       bltchemav
c
      integer      i, ichain,dumpfreq1,blockcounter1
      integer      jblock1,j, dump2, temp, ich
c     _____________________________________________________________
c
      do i=0,maxiblock
c
        iteretot(i) = iteretot(i) + 1
        volsum(i)  = volsum(i) + vol
        blocketotal(i) = blocketotal(i) + etotal
c
      enddo
c
      do i=0,maxiblock
c
        if (mod(iter,blockcounter*2**i).eq.0) then
c
	    jblock(i)=jblock(i)+1
c
	    blockener(i,jblock(i))=blocketotal(i)/iteretot(i)
	    blockvol(i,jblock(i))=volsum(i)/iteretot(i)
c
c         take the averages in each block for the quantity
c         that determines chemical potential (A=vol*exp(-b*u)/weight).
c         eg. <A>b
c
          blocktch(i,jblock(i))=blocktchem(i)/iterchem(i)
c
	    blocketotal(i) = 0.d0
	    volsum(i)  = 0.d0
	    iteretot(i) = 0
          blockincrem(i) = 0.d0
          blocktchem(i) = 0.d0
c
        endif
c
      enddo
c
      if (mod(iter,geomfreq).eq.0) then
c
        mltav = mlt / dfloat(countwd)
c
c       Estimate standard deviation for A (eg. s^2(A))
c
        mltsqav = mltsq / countwd
        mltstd2 = mltsqav - mltav * mltav
        mltstd  = dsqrt(mltstd2)
        mltstd  = mltstd / mltav
c
        volave = sumvol/dfloat(counter)
        t1      = dlog(mltav / volave)
        t1      = -t1 / beta
	  if(phat.le.3) then
          t2      = (phat-1) * dlog(dfloat(kccbn)) 
	  else
          t2      = (phat-1) * dlog(dfloat(kccbn)) -
     :               (phat-3) * dlog(6.d0)
	  endif
        t2      = t2 / beta
        mltf    = t1 + t2
c	  TEST:
	  write(6,*) mlt, countwd, volave
        write(102,'(I9,1x,2(f10.6,1x),1x,f20.4)') iter, 
     :               mltf, -(mltstd/beta),mltav
c
      endif
c
c
      if(mod(iter,maxits).eq.0) then
c
        write(201,'("Tb^(1/2) s(stat.inef.) <mseg> stdincr blockln")')  
        write
     :  (45,'("chainln Tb^(1/2) s(st.inf.) sqrt(s2<A>bl) blockln")') 
        write(45,'("chainlength  Tb^(1/2) std")')
c
	  do i=0,maxiblock
c
	    jblock1=jblock(i)
	    do j=1,jblock1
c
	      blockenersum = blockenersum + blockener(i,j)
	      blockvolsum = blockvolsum + blockvol(i,j)
	      blockenersum2 = blockenersum2 + blockener(i,j)*
     :                      blockener(i,j)
	      blockvolsum2 = blockvolsum2 + blockvol(i,j)*
     :                     blockvol(i,j)
c
            blocktchsum = blocktchsum + blocktch(i,j)
            blocktchsum2 = blocktchsum2 + blocktch(i,j)*blocktch(i,j)
c
          enddo
c       
	    blockenerave = blockenersum/jblock1
	    blockvolumeave = blockvolsum/jblock1
	    blockenerave2 = blockenersum2/jblock1
	    blockvolumeave2 = blockvolsum2/jblock1
c
          blocktchav = blocktchsum/jblock1
          blocktchav2 = blocktchsum2/jblock1
c
          bltchstd = blocktchav2 - blocktchav * blocktchav 
c
c         calculate block average total chemical potentials
c
          bltchemav = dlog(blocktchav/volave)/beta
          bltchemav = -bltchemav + dlog(36.0d0)/beta
c
	    blockcounter1=blockcounter*2**i
	    write(44,*) 'block length = ', blockcounter1
	    write(44,*) 'block average energy = ',blockenerave
	    write(44,*) 'block average volume = ',blockvolumeave
	    write(44,*) 'std.dev. in energy =',blenerstd 
	    write(44,*) 'std.dev. in volume = ',blvolstd
          write(44,'( "block average chem.pot.",f10.4)') bltchemav         
c
c
c         std of total chemical potential in the bulk
c
          nblocks = dfloat(maxits/blockcounter1)
          dnblocks = dsqrt(nblocks)
c
          temp = 44
          idir1 = phat
c
c         calculate statistical inefficiency (see Allen p.193)
c
          stin = bltchstd/mltstd2
          stin = stin * iterchem(i)
c
          temp = temp + 1 
          write(temp,*)idir1, sqrt(real(iterchem(i))),stin,
     :                 dsqrt(bltchstd), blockcounter1
c
c         calculate standard deviation of mex as :s(<A>b)/nblocks/
c         <A>*beta
c
          std = dsqrt(bltchstd)/dnblocks
          std = (std/mltav)/beta
          write(temp,*)idir1, sqrt(real(iterchem(i))),std
c
c
c         std of total incremental chemical potential(stdincr)
c
C         stin = (blincrstd / mincrstd2) * iterchem(i)
C         stdincr = dsqrt(blincrstd) / dnblocks
C         stdincr = (stdincr / mincrav) / beta                              
C         write(201,*)  sqrt(real(iterchem(i))), stin, mseg,
C     :                    stdincr, blockcounter1

	    write(44,*) 
c 
          blocktchsum = 0.d0
          blocktchsum2 = 0.d0
c
	    blockenersum = 0.d0
	    blockenersum2 = 0.d0
	    blockvolsum = 0.d0
	    blockvolsum2 = 0.d0
          blockincrsum = 0.d0
          blockincrsum2 = 0.d0
	  enddo 
c
c       write out block averages
c
c       do j = 1,jblock(2)
c         write(45,*) j, blocktch(2,j,1)
c       enddo
c 
c       do j = 1,jblock(2)
c         write(55,*) j, blocktch(2,j,11)
c       enddo
c
        write(*,'("Final box length:",2x,f10.4)') box
c       write(*,'("Average box length:",2x,f10.4)')
c     :               blockvolumeave**(1./3.)
c
        write(*,'("Widom insertions:",2x,I10)') countwd
        write(*,'("Rate of acc ins:",2x,f10.3,2x,I2)')
     :       (1-real(countwf)/real(countwd))*100, phat 
c
      endif
c
      RETURN
	END
