      subroutine ncellfill 
c
c     The periodic box is divided into several (now 8*8*8) cells
c     and the atoms are assigned at each iteration to the correct cell.
c     This is useful in "hard-sphere" type overlap checks in various
c     Monte Carlo moves.
c
      implicit    none
c
      include    "Bounds.p"
      include    "System.h"
      include    "Current.h"
c
      integer     icel, jcel, kcel, iat, new
      integer     ncel1, ncel2, ncel3, ntotal, nsq
      integer     jc, ic
c
      real*8      runit
c
c     _________________________________________________________________
c
c     determine cell dimension
c
      unit = box / dfloat(maxcel)
      runit  = 1.d0 / unit
      nsq    = maxcel * maxcel
      ntotal = maxcel * nsq
c
c     initialize all cells as unoccupied
c
      do ic = 1, ntotal
         icel = (ic-1) / nsq + 1
         jc   = ic - nsq * (icel-1)
         jcel = (jc-1)/maxcel + 1
         kcel = jc - maxcel * (jcel-1)
         ncell(icel,jcel,kcel) = 0
      end do
c
c     place all atoms into cells and cells into atoms ...
c    
      do iat = 1, nat
         ncel1 = int (x(iat,1) * runit) + 1
	 if(x(iat,1).eq.box) ncel1 = 8
         ncel2 = int (x(iat,2) * runit) + 1
	 if(x(iat,2).eq.box) ncel2 = 8
         ncel3 = int (x(iat,3) * runit) + 1
	 if(x(iat,3).eq.box) ncel3 = 8
c
         iatcell(iat,1) = ncel1
         iatcell(iat,2) = ncel2
         iatcell(iat,3) = ncel3
      end do
c
      do iat = 1, nat
         ncel1 = iatcell(iat,1)
         ncel2 = iatcell(iat,2)
         ncel3 = iatcell(iat,3)
c
	if((ncel1.eq.0).or.(ncel2.eq.0).or.(ncel3.eq.0)) 
     &  write(6,*) x(iat,1),x(iat,2),x(iat,3)
	if((ncel1.gt.8).or.(ncel2.gt.8).or.(ncel3.gt.8)) 
     &  write(6,*) iat,box,x(iat,1),x(iat,2),x(iat,3)
         new   = ncell(ncel1,ncel2,ncel3) + 1
c
         cell(ncel1,ncel2,ncel3,new) = iat
         ncell(ncel1,ncel2,ncel3) = new
      end do
c
      return
      end
