c	Sample input file (TENTATIVE!!!)
c^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Cut here ^^^^^^^^
c	Trajectory file name
c	lala.trj
c	Temperature in K
c     300.0
c	Block average every:
c     5000
c	Total number of configurations in trajectory file
c     5000
c	Nr of atom types (system+inserted alkane), Nr of atoms in the system
c     6		963
c	Number of atoms in the system per atom type (1=Si,2=CH2-pol,3=CH3-pol,4=CH4,5=CH2-alk,6=CH3-alk)
c     240		237		246
c	Sigma and epsilon parameters per atom type (non-local)
c     3.385	3.95	4.150	3.73	3.95	3.75
c	0.585	0.091	0.185	0.247	0.091	0.185
c	Combinig rules: 1=Lennard-Jones, 2=Kong
c     1
c	Running averages potential calculation frequency
c     1
c	Random number generator seed
c     21374
c	Widom insertions per configuration 
c     50000
c	number of blocks (starting from zero)
c     4
c	block length
c     312
c	ghost molecule length
c     3
c^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Cut here ^^^^^^^^
	program post
c
      implicit none
c
      include "Bounds.p"
      include "System.h"
      include "Current.h"
      include "Lennard_Jones.h"
      include "Lennard_Jones.p"
      include "Phantom.h"
      include "Intend.h"
      include "Seed.h"
c
      integer j,ii,ich, iat, i, iatom, k, ntempo
      integer  kk, maxcounter,ichain, irul,iun
c     
      real*8 sg(6), ep(6)
	real*8 sLB,sK,eLB,eK
      character*20 filename
	logical accidental
c
c     _______________________________________________________
c
	open(unit = 19, file = 'input')
      read(19,*)
      read(19,*) filename
      read(19,*)
      read(19,*) temperature
      read(19,*)
c
c	Block average every maxits steps
c
      read(19,*) maxits 
c
      read(19,*)
      read(19,*) maxcounter
c
	read(19,*)
	read(19,*) ntyp, nat
	ntypsq=ntyp**2
	read(19,*)
	read(19,*) (num(i),i=1,ntyp)
c
c	sigma and epsilon parameters 
c
	read(19,*)
	read(19,*) (sg(i),i=1,ntyp)
	read(19,*) (ep(i),i=1,ntyp)
	read(19,*)
	read(19,*) irul
c
      do i = 1,4
        do j = 1,4
	    
		CALL KingKong(i,j,sg,ep,sLB,sK,eLB,eK)
         
	    k = (i-1)*6+j
c
	    if(irul.eq.1) then
	
c	      Lorentz-Berthelot rules
c
	      eps(k)=eLB
	      sigreal(k)=sLB
c
	    else if(irul.eq.2) then
c           
c	      Kong rules
c
	      eps(k)=eK
	      sigreal(k)=sK
	   
	    else
		  write(6,*) 'no combining rules defined'
		  STOP
	    endif
c
          pairtype(i,j) = k
          sigma(k) = HSD*sigreal(k)
          shell(k) = thck*sigreal(k)
        enddo
      enddo
      k = 0
c
      call constants
c
	etotal = 0.0d0
c
C	TEST:
	dumpfreq=1
c
      read(19,*)
      read(19,*) geomfreq
c
      read(19,*)
      read(19,*) iseed
c
      beta = 1.d0 / (1.987d-3 * temperature)
c
	sumvol=0.d0
c
      read(19,*)
      read(19,*) inswid
c
      read(19,*)
      read(19,*) maxiblock
c
      read(19,*)
      read(19,*) blockcounter
c
      read(19,*)
      read(19,*) phat 
	close(19)
c
      call potini
c
      call initialize
c
	open(unit=220,file=filename)
c
      do iter=1, maxcounter
        read(220,*) box
        read(220,*) 
        read(220,*) 
        halfbox = box / 2.d0
        rbox    = 1.d0 / box
        vol=box*box*box
        do i = 1, nat
          read(220,*) idseg(i), x(i,1), x(i,2), x(i,3)
        end do
	  sumvol=sumvol+vol
	  counter=iter
c
c       begin post processing of the configuration
c
        call ncellfill
        do i= 1, inswid 
          call ccbwidom         
        enddo
        call ccbperiodicdump
      enddo
c
      close(220)
c
      stop 
      end
